﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HerbarioHUAZ
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class MERHerbarioContainer : DbContext
    {
        public MERHerbarioContainer()
            : base("name=MERHerbarioContainer")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<USUARIO> USUARIOSet { get; set; }
        public virtual DbSet<TIPOUSUARIO> TIPOUSUARIOSet { get; set; }
        public virtual DbSet<ARTUCULO> ARTUCULOSet { get; set; }
        public virtual DbSet<CATALOGO> CATALOGOSet { get; set; }
        public virtual DbSet<PLANTAS> PLANTASSet { get; set; }
        public virtual DbSet<VISTAS> VISTASSet { get; set; }
        public virtual DbSet<IMAGEN> IMAGENSet { get; set; }
    }
}
